# Method: providers.vehicles.updateAttributes

- [HTTP request](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles/updateAttributes#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles/updateAttributes#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles/updateAttributes#body.request_body)
  - [JSON representation](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles/updateAttributes#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles/updateAttributes#body.response_body)
  - [JSON representation](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles/updateAttributes#body.UpdateVehicleAttributesResponse.SCHEMA_REPRESENTATION)

Partially updates a vehicle's attributes. Only the attributes mentioned in the request will be updated, other attributes will NOT be altered. Note: this is different in `vehicles.update`, where the whole `attributes` field will be replaced by the one in `UpdateVehicleRequest`, attributes not in the request would be removed.

### HTTP request

`POST https://fleetengine.googleapis.com/v1/{name=providers/*/vehicles/*}:updateAttributes`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Must be in the format `providers/{provider}/vehicles/{vehicle}`. The provider must be the Project ID (for example, `sample-cloud-project`) of the Google Cloud Project of which the service account making this call is a member. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "header": { object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/RequestHeader`) }, "attributes": [ { object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles#VehicleAttribute`) } ] } ``` |

| Fields ||
|---|---|
| `header` | ``object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/RequestHeader`)`` The standard Fleet Engine request header. |
| `attributes[]` | ``object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles#VehicleAttribute`)`` Required. The vehicle attributes to update. Unmentioned attributes are not altered or removed. |

### Response body

`vehicles.updateAttributes` response message.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "attributes": [ { object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles#VehicleAttribute`) } ] } ``` |

| Fields ||
|---|---|
| `attributes[]` | ``object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles#VehicleAttribute`)`` Required. The updated full list of vehicle attributes, including new, altered, and untouched attributes. |